#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    cin >> n >> m;
    vector<int> a(n+m-1,0);
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            int x;
            cin >> x;
            for(int k=0,l=1;k<31;k++,l=l<<1){
                a[i+j] ^= x&l;
            }
        }
    }
    int res[31];
    long long endG = 0;

    for(int k=0,l=1;k<31;k++,l=l<<1){
        res[k]=0;
        for(int i=0; i<n+m-1;i++){
            res[k] += (0<(a[i]&l));
        }
        endG += (long long)min(res[k],n+m-1-res[k]) * l;
    }


    cout << endG << endl;
    return 0;
}